function [lambda,C,muHat]= computeLambdaFromMu(L_m,M_m,mu0,mu1,mu2)

L0sL0 = twoLinesSide4(L_m(:,1),L_m(:,1));
L0sL1 = twoLinesSide4(L_m(:,1),L_m(:,2));
L0sL2 = twoLinesSide4(L_m(:,1),L_m(:,3));
L1sL1 = twoLinesSide4(L_m(:,2),L_m(:,2));
L1sL2 = twoLinesSide4(L_m(:,2),L_m(:,3));
L2sL2 = twoLinesSide4(L_m(:,3),L_m(:,3));

M0sM0 = twoLinesSide4(M_m(:,1),M_m(:,1));
M0sM1 = twoLinesSide4(M_m(:,1),M_m(:,2));
M0sM2 = twoLinesSide4(M_m(:,1),M_m(:,3));
M1sM1 = twoLinesSide4(M_m(:,2),M_m(:,2));
M1sM2 = twoLinesSide4(M_m(:,2),M_m(:,3));
M2sM2 = twoLinesSide4(M_m(:,3),M_m(:,3));

L0sM0 = twoLinesSide4(L_m(:,1),M_m(:,1));
L0sM1 = twoLinesSide4(L_m(:,1),M_m(:,2));
L0sM2 = twoLinesSide4(L_m(:,1),M_m(:,3));
L1sM0 = twoLinesSide4(L_m(:,2),M_m(:,1));
L1sM1 = twoLinesSide4(L_m(:,2),M_m(:,2));
L1sM2 = twoLinesSide4(L_m(:,2),M_m(:,3));
L2sM0 = twoLinesSide4(L_m(:,3),M_m(:,1));
L2sM1 = twoLinesSide4(L_m(:,3),M_m(:,2));
L2sM2 = twoLinesSide4(L_m(:,3),M_m(:,3));

l0dm0 = dot(L_m(1:3,1),M_m(1:3,1));
l0dm1 = dot(L_m(1:3,1),M_m(1:3,2));
l0dm2 = dot(L_m(1:3,1),M_m(1:3,3));
l1dm0 = dot(L_m(1:3,2),M_m(1:3,1));
l1dm1 = dot(L_m(1:3,2),M_m(1:3,2));
l1dm2 = dot(L_m(1:3,2),M_m(1:3,3));
l2dm0 = dot(L_m(1:3,3),M_m(1:3,1));
l2dm1 = dot(L_m(1:3,3),M_m(1:3,2));
l2dm2 = dot(L_m(1:3,3),M_m(1:3,3));




C = [[ L1sM0*l2dm0 - L2sM0*l1dm0, L1sM0*l2dm1 + L1sM1*l2dm0 - L2sM0*l1dm1 - L2sM1*l1dm0, L1sM0*l2dm2 + L1sM2*l2dm0 - L2sM0*l1dm2 - L2sM2*l1dm0, L1sM1*l2dm1 - L2sM1*l1dm1, L1sM1*l2dm2 + L1sM2*l2dm1 - L2sM1*l1dm2 - L2sM2*l1dm1, L1sM2*l2dm2 - L2sM2*l1dm2];
     [ L2sM0*l0dm0 - L0sM0*l2dm0, L2sM0*l0dm1 - L0sM1*l2dm0 - L0sM0*l2dm1 + L2sM1*l0dm0, L2sM0*l0dm2 - L0sM2*l2dm0 - L0sM0*l2dm2 + L2sM2*l0dm0, L2sM1*l0dm1 - L0sM1*l2dm1, L2sM1*l0dm2 - L0sM2*l2dm1 - L0sM1*l2dm2 + L2sM2*l0dm1, L2sM2*l0dm2 - L0sM2*l2dm2];
     [ L0sM0*l1dm0 - L1sM0*l0dm0, L0sM0*l1dm1 + L0sM1*l1dm0 - L1sM0*l0dm1 - L1sM1*l0dm0, L0sM0*l1dm2 + L0sM2*l1dm0 - L1sM0*l0dm2 - L1sM2*l0dm0, L0sM1*l1dm1 - L1sM1*l0dm1, L0sM1*l1dm2 + L0sM2*l1dm1 - L1sM1*l0dm2 - L1sM2*l0dm1, L0sM2*l1dm2 - L1sM2*l0dm2]];

muHat = [mu0.^2; mu0.*mu1; mu0.*mu2; mu1.^2; mu1.*mu2; mu2.^2];
 
lambda = C*muHat;


return;