function [LPlus, LMinus, mPlus, mMinus, bPlus, bMinus] = singleBackSphereProjection(q,d,r,K)

nPixels = size(q,2);

C_p = [0;0;-d];
s = inv(K)*q;
lambdaPlus = (d*s(3,:) + sqrt(d^2*s(3,:).^2-(d^2-r^2)*dot(s,s)))./dot(s,s);
lambdaMinus = (d*s(3,:) - sqrt(d^2*s(3,:).^2-(d^2-r^2)*dot(s,s)))./dot(s,s);

bPlus = bsxfun(@plus,C_p,bsxfun(@times,lambdaPlus,s));
bMinus = bsxfun(@plus,C_p,bsxfun(@times,lambdaMinus,s));

mPlus = [zeros(2,nPixels);d*r^2./(2*d*bPlus(3,:)+r^2)];
mMinus = [zeros(2,nPixels);d*r^2./(2*d*bMinus(3,:)+r^2)];

LPlus = [bPlus-mPlus;cross(bPlus,mPlus)];
LMinus = [bMinus-mMinus;cross(bMinus,mMinus)];

return;